MeiroDocs

Segment's Notes

Required feature (one of):

Section: Group Segment's Notes. Base URL: https://instance_name.meiro.io/api/.

Segment's Notes [/segments/{segment_id}/notes{?limit,offset,order_by,order_dir,load_full_structure}]

List All Segment's Notes [GET]

Required feature (one of):

  • Segment ACL authorization

  • foreign_segments/view

  • foreign_segments/edit

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • load_full_structure (number, optional) - Full data structure return flag
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "segment_notes": [
        {
            "id": 100,
            "user_id": 200,
            "segment_id": 300,
            "name": "note title",
            "content": "note content",
            "modified": "2017-01-01 15:35:00",
            "created": "2017-01-01 15:35:00"
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC"
    }
}

Create a Segment's Note [POST]

Required feature (one of):

  • Segment ACL authorization

  • foreign_segments/edit

  • Parameters

    • load_full_structure (number, optional) - Full data structure return flag
  • Attributes

    • name: example name (string)
    • content: example content (string)
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 201 (application/json)

{
    "segment_note": {
        "id": 100,
        "user_id": 200,
        "segment_id": 300,
        "name": "example name",
        "content": "example content",
        "modified": "2017-01-01 15:35:00",
        "created": "2017-01-01 15:35:00"
    }
}

Segment's Note [/segments/{segment_id}/notes/{note_id}{?load_full_structure}]

  • Parameters
    • load_full_structure (number, optional) - Full data structure return flag

Retrieve a Segment's Note [GET]

Required feature (one of):

  • Segment ACL authorization

  • foreign_segments/view

  • foreign_segments/edit

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "segment_note": {
        "id": 100,
        "user_id": 200,
        "segment_id": 300,
        "name": "note title",
        "content": "note content",
        "modified": "2017-01-01 15:35:00",
        "created": "2017-01-01 15:35:00"
    }
}

Modify a Segment's Note [PATCH]

Required feature (one of):

  • Segment ACL authorization

  • foreign_segments/edit

  • Attributes

    • name: example name (string)
    • content: example content (string)
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "segment_note": {
        "id": 100,
        "user_id": 200,
        "segment_id": 300,
        "name": "example name",
        "content": "example content",
        "modified": "2017-01-01 15:35:00",
        "created": "2017-01-01 15:35:00"
    }
}

Delete a Segment's Note [DELETE]

Required feature (one of):

  • Segment ACL authorization

  • foreign_segments/edit

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "message": "OK"
}

On this page